import { Injector, ModuleWithProviders } from '@angular/core';
import { ReduxModuleChildConfig } from './module/child/config';
import { ReduxModuleRootConfig } from './module/root/config';
export declare class ReduxModule {
    constructor(isRootModule: boolean, rootConfig: ReduxModuleRootConfig, childConfig: ReduxModuleChildConfig, injector: Injector);
    static forChild(config: ReduxModuleChildConfig): ModuleWithProviders;
    static forRoot(config?: ReduxModuleRootConfig): ModuleWithProviders;
}
